OpenVDB 5.1.0

Public Types | Static Public Member Functions | List of all members
AccessorEval< CodecType, ValueType > Struct Template Reference

Accessor to call unsafe get and set methods based on templated Codec and Value. More...

`#include <AttributeArray.h>`

## Public Types
using | GetterPtr = ValueType(*)(const AttributeArray *array, const Index n)
using | SetterPtr = void(*)(AttributeArray *array, const Index n, const ValueType &value)

## Static Public Member Functions
static ValueType | get (GetterPtr, const AttributeArray *array, const Index n)
static void | set (SetterPtr, AttributeArray *array, const Index n, const ValueType &value)

## Detailed Description

### template<typename CodecType, typename ValueType>
struct openvdb::v5_1::points::AccessorEval< CodecType, ValueType >

Accessor to call unsafe get and set methods based on templated Codec and Value.

## Member Typedef Documentation

## ◆ GetterPtr

using GetterPtr = ValueType (*)(const AttributeArray* array, const Index n)

## ◆ SetterPtr

using SetterPtr = void (*)(AttributeArray* array, const Index n, const ValueType& value)

## Member Function Documentation

## ◆ get()

static ValueType get | ( | GetterPtr | ,
|  | const AttributeArray * | array,
|  | const Index | n
| ) |  |
| inline static

Getter that calls to TypedAttributeArray::getUnsafe()

Note
  Functor argument is provided but not required for the generic case

## ◆ set()

static void set | ( | SetterPtr | ,
|  | AttributeArray * | array,
|  | const Index | n,
|  | const ValueType & | value
| ) |  |
| inline static

Getter that calls to TypedAttributeArray::setUnsafe()

Note
  Functor argument is provided but not required for the generic case

The documentation for this struct was generated from the following file:

- AttributeArray.h